Bug 233059 - databases/gdbm: update to version 1.18.1
Summary: databases/gdbm: update to version 1.18.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-07 13:01 UTC by Alexey Dokuchaev
Modified: 2018-11-11 15:42 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (johans)
antoine: exp-run+


Attachments
Update to version 1.18.1 (patch) (1.70 KB, patch)
2018-11-07 13:01 UTC, Alexey Dokuchaev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Dokuchaev freebsd_committer 2018-11-07 13:01:25 UTC
Created attachment 199051 [details]
Update to version 1.18.1 (patch)

The port was not updated for a while; due to shlib version bump I'd like to request an exp-run.
Comment 1 Antoine Brodin freebsd_committer 2018-11-09 09:21:48 UTC
Exp-run looks fine,  don't forget to bump PORTREVISIONs for shlib version change.
Comment 2 commit-hook freebsd_committer 2018-11-11 15:39:42 UTC
A commit references this bug:

Author: danfe
Date: Sun Nov 11 15:39:05 UTC 2018
New revision: 484696
URL: https://svnweb.freebsd.org/changeset/ports/484696

Log:
  Update `databases/gdbm' to version 1.18.1, an important bugfix release
  which restores compatibility with old databases (version 1.8) and some
  later versions which were built without mmap(2) support.  Due to shlib
  version change, bump port revisions of the consumer ports.

  PR:		233059
  Exp-run by:	antoine
  Approved by:	maintainer (johans, numerous timeouts)

Changes:
  head/audio/fdmf/Makefile
  head/audio/pulseaudio/Makefile
  head/audio/rsynth/Makefile
  head/audio/zinf/Makefile
  head/databases/dbtool/Makefile
  head/databases/fpc-gdbm/Makefile
  head/databases/gdbm/Makefile
  head/databases/gdbm/distinfo
  head/databases/gdbm/pkg-plist
  head/databases/p5-GDBM/Makefile
  head/databases/py-gdbm/Makefile
  head/databases/pypy-gdbm/Makefile
  head/databases/ruby-gdbm/Makefile
  head/databases/sqlrelay/Makefile
  head/devel/apr1/Makefile
  head/devel/apr2/Makefile
  head/devel/kdesvn/Makefile
  head/devel/kdesvn-kde4/Makefile
  head/devel/tclthread/Makefile
  head/games/sjeng/Makefile
  head/lang/elk/Makefile
  head/lang/gauche/Makefile
  head/lang/librep/Makefile
  head/lang/mit-scheme/Makefile
  head/lang/mosml/Makefile
  head/lang/perl5-devel/Makefile
  head/lang/perl5.24/Makefile
  head/lang/perl5.26/Makefile
  head/lang/perl5.28/Makefile
  head/lang/smalltalk/Makefile
  head/mail/anubis/Makefile
  head/mail/courier-imap/Makefile
  head/mail/gnarwl/Makefile
  head/mail/maildrop/Makefile
  head/mail/mailfromd/Makefile
  head/mail/mailutils/Makefile
  head/mail/neomutt/Makefile
  head/mail/perdition/Makefile
  head/mail/qsf/Makefile
  head/mail/sendmail/Makefile
  head/mail/sqwebmail/Makefile
  head/mail/tpop3d/Makefile
  head/net/avahi-app/Makefile
  head/net/avahi-gtk/Makefile
  head/net/avahi-gtk3/Makefile
  head/net/freeradius3/Makefile
  head/net/ntop/Makefile
  head/net/vinagre/Makefile
  head/news/newsstar/Makefile
  head/news/noffle/Makefile
  head/news/s-news/Makefile
  head/palm/jpilot-picsnvideos/Makefile
  head/security/courier-authlib/Makefile
  head/security/cyrus-sasl2/Makefile
  head/security/cyrus-sasl2-saslauthd/Makefile
  head/shells/zsh/Makefile
  head/sysutils/LPRng/Makefile
  head/sysutils/cinnamon-settings-daemon/Makefile
  head/sysutils/filedupe/Makefile
  head/sysutils/openipmi/Makefile
  head/www/httest/Makefile
  head/www/hypermail/Makefile
  head/www/lighttpd/Makefile
  head/www/links-hacked/Makefile
  head/www/mod_security/Makefile
Comment 3 Alexey Dokuchaev freebsd_committer 2018-11-11 15:42:58 UTC
Committed in ports r484696.